DEPMOD(8)

NAZWA
depmod - tworzy modules.dep i pliki map.

SKŁADNIA

depmod [-b katalog-bazowy] [-e] [-E Module.symvers] [-F System.map] [-n] [-v] [-A] [-P prefiks] [-w] [wersja]

depmod [-e] [-E Module.symvers] [-F System.map] [-n] [-v] [-P prefix] [-w] [version] [filename...]

OPIS

Moduły jądra Linux mogą udostępniać usługi (zwane "symbolami") do użycia przez inne moduły (używając jednego z wariantów EXPORT_SYMBOL w kodzie). Jeśli drugi moduł używa tego symbolu, w sposób oczywisty jest zależny od pierwszego modułu. Takie zależności mogą stać się dość złożone.

depmod tworzy listę zależności modułów, odczytując każdy moduł z katalogu /lib/modules/wersja i określając jakie symbole on eksportuje i jakich symboli potrzebuje. Domyślnie, ta lista jest zapisywana do plików modules.dep oraz (w zahaszowanej postaci binarnej) do pliku modules.dep.bin, w tym samym katalogu. Jeśli w wierszu polecenia podano nazwy plików, sprawdzane są tylko te moduły (co rzadko kiedy jest przydatne, chyba że podane są wszystkie moduły). depmod tworzy również listę symboli udostępnianych przez moduły w pliku modules.symbols i jego zahaszowanej postaci binarnej - modules.symbols.bin. depmod wypisuje również plik modules.devname, jeśli moduły udostępniają nazwy specjalnych urządzeń (devname), które powinny być tworzone w /dev przy uruchamianiu systemu (przez narzędzia takie jak systemd-tmpfiles).

Jeśli dostarczona jest wersja, to użyty jest katalog modułów wersji jądra, zamiast bieżącej wersji jądra (zwróconej przez uname -r).

OPCJE

-a, --all
    Bada wszystkie moduły. Opcja jest domyślna, jeśli nie podano nazw plików w wierszu polecenia.

-A, --quick
    Skanuje w celu sprawdzenia czy nie istnieją moduły nowsze niż w pliku modules.dep przed wykonaniem swej pracy, jeśli ich nie znajdzie, to po cichu wychodzi zamiast ponownie tworzyć pliki.

-b katalog-bazowy, --basedir katalog-bazowy
    Jeśli dany moduł nie znajduje się obecnie w (zwykłym) katalogu /lib/modules/wersja, tylko w obszarze staging, można określić katalog-bazowy który poprzedza nazwę katalogu. Katalog-bazowy jest wycinany z wynikowego pliku modules.dep, więc jest on gotowy do przeniesienia do zwykłej lokalizacji. Opcja jest przeznaczona dla dostawców dystrybucji, którzy chcą wstępnie wygenerować pliki metadanych zamiast ponownie wywoływać depmod później.

-C, --config plik lub katalog
    Opcja przesłania domyślny katalog konfiguracyjny - /etc/depmod.d/.

-e, --errsyms
    W połączeniu z opcją -F, wypisywane są symbole wymagane przez moduł, które nie są udostępniane przez inne moduły lub jądro. Przyjmuje się zwykle, że symbole nieudostępniane przez moduły są zapewniane przez jądro (co powinno być prawdą w idealnym świecie), ale to założenie może nie być prawdziwe, szczególnie gdy dodatkowo zaktualizowane sterowniki zewnętrzne nie są poprawnie zainstalowane lub zostały nieprawidłowo zbudowane.

-E, --symvers
    W połączeniu z opcją -e wypisywane są wersje symboli udostępnianych przez moduły, które nie pasują do wersji symboli udostępnianych przez jądro w Module.symvers. Opcja nie może być łączona z -F.

-F, --filesyms System.map
    Z podaniem pliku System.map utworzonego przy budowaniu jądra, ta opcja pozwala opcji -e wypisać nierozwiązane symbole. Opcja nie może być łączona z -E.

-h, --help
    Wyświetla ten tekst i kończy pracę.

-n, --show, --dry-run
    Wypisuje wynikowy modules.dep i różne pliki map na standardowe wyjście, zamiast zapisywać je do katalogu modułów.

-P
    Część architektur poprzedza symbole egzotycznym znakiem. Przy użyciu tej opcji może podać ten przedrostek (np. "_") w celu zignorowania go.

-v, --verbose
    W trybie szczegółowym, depmod wypisze (na standardowe wyjście) wszystkie symbole, od których zależy każdy moduł oraz nazwę pliku modułu, który go udostępnia.

-V, --version
    Wyświetla informacje o wersji i kończy działanie. Wypisanie ostrzeżeń przy działaniu na starszym jądrze umożliwia poniższa opcja.

-w
    Ostrzega o zdublowanych zależnościach, aliasach, wersjach symboli itp.

PRAWA AUTORSKIE

Pierwotnie: Copyright 2002, Rusty Russell, IBM Corporation. Częściowo: Jon Masters i inni.

ZOBACZ TAKŻE

depmod.d(5), modprobe(8), modules.dep(5)

AUTORZY

Jon Masters <jcm@jonmasters.org>
    Deweloper

Robby Workman <rworkman@slackware.com>
    Deweloper

Lucas De Marchi <lucas.de.marchi@gmail.com>
    Deweloper

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Andrzej Krzysztofowicz <ankry@green.mf.pg.gda.pl> i Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.